Package org.pushingpixels.substance.swingx

# Class SubstanceLoginPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.LoginPaneUI
org.jdesktop.swingx.plaf.basic.BasicLoginPaneUI
org.pushingpixels.substance.swingx.SubstanceLoginPaneUI

public class SubstanceLoginPaneUI extends org.jdesktop.swingx.plaf.basic.BasicLoginPaneUI
Substance-consistent UI delegate for `JXLoginPane`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.jdesktop.swingx.JXLoginPane`
`loginPanel`
`protected HierarchyListener`
`substanceHierarchyListener`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceLoginPaneUI(org.jdesktop.swingx.JXLoginPane dlg)`
Creates a new UI component.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`Image`
`getBanner()`
`void`
`installUI(JComponent c)`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicLoginPaneUI

`installDefaults`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### loginPanel

protected org.jdesktop.swingx.JXLoginPane loginPanel

### substanceHierarchyListener

protected HierarchyListener substanceHierarchyListener

## Constructor Details

### SubstanceLoginPaneUI

public SubstanceLoginPaneUI(org.jdesktop.swingx.JXLoginPane dlg)
Creates a new UI component.

Parameters:
  `dlg` - Login panel component.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `org.jdesktop.swingx.plaf.basic.BasicLoginPaneUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### getBanner

public Image getBanner()

Overrides:
  `getBanner` in class `org.jdesktop.swingx.plaf.basic.BasicLoginPaneUI`